### Method

# Gtk IconPaintableget_file

#### Declaration [src]

    GFile*
    gtk_icon_paintable_get_file (
      GtkIconPaintable* self
    )

#### Description [src]

Gets the `GFile` that was used to load the icon.

Returns `NULL` if the icon was not loaded from a file.

Gets property | `Gtk.IconPaintable:file`

#### Return value

Type: `GFile`

The `GFile` for the icon.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.